INCLUDES = -I$(top_srcdir)/kmines/generic -I$(top_srcdir)/kmines -I$(top_srcdir)/libtdegames $(all_includes)

noinst_LTLIBRARIES   = libsolver.la
noinst_HEADERS       = bfield.h solver.h headerP.h adviseFast.h adviseFull.h
libsolver_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -no-undefined
libsolver_la_SOURCES = bfield.cpp solver.cpp advFastRules.cpp adviseFast.cpp \
                       adviseFull.cpp
METASOURCES          = solver.moc

check_PROGRAMS = test testFast testSolve testRate
test_SOURCES = test.cpp
test_LDADD = ./libsolver.la $(LIB_TDECORE)
testFast_SOURCES = testFast.cpp
testFast_LDADD = ./libsolver.la $(LIB_TDECORE)
testSolve_SOURCES = testSolve.cpp
testSolve_LDADD = ./libsolver.la $(LIB_TDECORE) $(LIB_TDEUI)
testRate_SOURCES = testRate.cpp
testRate_LDADD = ./libsolver.la $(LIB_TDECORE) $(LIB_TDEUI)
